/*********************
 *
 * AnFourierT.h
 *
 * This is the header file for the module which contains the FFT routines.
 *
 * Lowel P. O'Mard 18-01-94
 *
 *********************/

#ifndef	_UTFTANALYSIS_H
#define _UTFTANALYSIS_H	1

/******************************************************************************/
/*************************** Constant Definitions *****************************/
/******************************************************************************/

#define	FORWARD_FT		1			/* Forward FT */
#define	BACKWARD_FT		-1			/* Backward FT */

/******************************************************************************/
/*************************** Function Prototypes ******************************/
/******************************************************************************/

void	FFT_FourierT(double *data, unsigned long nn, int isign);

void	FFT_FourierT_Complex(Complex data[], unsigned long nn, int isign);

BOOLEAN	Modulus_FourierT(EarObjectPtr data);

BOOLEAN	Phase_FourierT(EarObjectPtr data);

BOOLEAN	RealFT_FourierT(SignalDataPtr signal, int direction);

#endif
