/*******
 *
 * UtDebug.h
 *
 * This header file is for the debug module used in testing.
 *
 * by Lowel O'Mard 26-10-93.
 *
 ********/

/******************************************************************************/ 
/*************************** Constant Definitions *****************************/ 
/******************************************************************************/ 
 

/******************************************************************************/ 
/*************************** Type definitions *********************************/ 
/******************************************************************************/ 

/******************************************************************************/
/*************************** External Variables *******************************/
/******************************************************************************/

extern EarObjectPtr	debug;		/* This is used for module debugging. */

/******************************************************************************/ 
/*************************** Global Subroutines *******************************/ 
/******************************************************************************/ 

void		Free_Debug(void);

void		Init_Debug(void);

BOOLEAN		CheckInit_Debug(void);

BOOLEAN		SetPars_Debug(int numChannels, double signalDuration,
		  double samplingInterval);
