/***********************
 *
 * UtRandom.h
 *
 * This is the header file for the random number routines module.
 *
 * 29-3-93 L. P. O'Mard
 *
 ***********************/

#ifndef	_UTRANDOM_H
#define _UTRANDOM_H	1
 
/******************************************************************************/
/*************************** Type definitions *********************************/
/******************************************************************************/

/******************************************************************************/
/*************************** External Variables *******************************/
/******************************************************************************/

extern long	randomNumSeed;			/* Seed for the random number generator */

/******************************************************************************/
/*************************** Function Prototypes ******************************/
/******************************************************************************/

double		Ran01_Random(long *seed);

int			GeomDist_Random(double probability, int numTrials);

#endif
